package net.northking.cctp.se.debugger;


import net.northking.cctp.se.exec.ATUScriptInstance;

import javax.websocket.Session;

/**
 * PC端UI自动化测试调试器
 */
public class PCUIDebugger extends WebSocketATUDebugger implements Runnable
{

  public PCUIDebugger(String id, Session session)
  {
    super(id, session);
  }


  /**
   * TODO 重启浏览器
   */
  void restartWebBrowser()
  {
  }


  @Override
  public void run()
  {
    ATUScriptInstance scriptInstance = analyseScript();

    if (REPLAY_RESTART.equalsIgnoreCase(getReplayType()))
    {
      restartWebBrowser();
    }

    debuggerScript(scriptInstance);
  }
}
